LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
SolverStatus.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::SolverStatus
| Describes the status reported by the solver Used in com::sun::star::sheet::XSolverSettings.

## Variables
const byte | NONE = 0
| No status to report. Happens when the solver has not been called. More...
const byte | SOLUTION_FOUND = 1
| The solver finished running and a solution was successfully found. More...
const byte | PARSE_ERROR = 2
| A parse error occurred after running the solver. More...
const byte | ENGINE_ERROR = 3
| An error occurred while loading or running the solver. More...
const byte | SOLUTION_NOT_FOUND = 4
| The solver finished running but a solution was not found. More...